Page MenuHomePhabricator

On Special:Preferences>Search page, the descriptive text for each options should have the same font as other descriptive texts on other tabs
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to Special:Preferences>Search page
  2. Observe the font size of the descriptive text for an option such as the font size of the text "Corrects up to two typos. Resolves close redirects." for Default (Recommended) option
  3. Compare this font size with the font size of the text "Collects performance-related information for the current page and exposes it via a sidebar link. Only available in the main namespace." for the option Enable Performance inspector under the Special:Preferences>Editing tab

The font size observed on step 2 should be the same as the other one on step 3.

Special:Preferences>Search page:


Special:Preferences>Editing tab:

Event Timeline

Ryasmeen created this task.Sep 10 2018, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2018, 7:22 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptSep 11 2018, 7:38 PM
debt triaged this task as Lowest priority.Sep 13 2018, 5:13 PM
debt moved this task from needs triage to later on... on the Discovery-Search board.
debt added a subscriber: debt.

This would be a UI fix, not something that we'd take on -- but this might be good for a volunteer to update the font :)

Change 466809 had a related patch set uploaded (by Bartosz Dziewoński; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Standardize autocomplete preferences

https://gerrit.wikimedia.org/r/466809

The custom interface also caused issues with GlobalPreferences, thus the patch (see the parent task I added).

Screenshots:

BeforeAfter

Change 466809 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Standardize autocomplete preferences

https://gerrit.wikimedia.org/r/466809

matmarex closed this task as Resolved.Oct 17 2018, 7:45 PM
matmarex assigned this task to EBernhardson.
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 17 2018, 7:45 PM